require 'spec_helper'

describe CloudFormer::AutoScaling::NotificationConfiguration do

  let(:config) do
    CloudFormer::AutoScaling::NotificationConfiguration.new do
      topic_arn 'abc'
      notification_types [
        CloudFormer::AutoScaling::NotificationConfiguration::LAUNCH_ERROR
      ]
    end
  end

  it 'should make some awesome json' do
    expect(config.dump_json).to eq({
      "NotificationTypes" => ["autoscaling:EC2_INSTANCE_LAUNCH_ERROR"],
      "TopicARN" => "abc"
    })
  end
end
