require 'spec_helper'

describe CloudFormer::AutoScaling::UpdatePolicy do
  let(:param) { CloudFormer::StringParameter.new('woot') }

  let(:policy) do
    p = param
    CloudFormer::AutoScaling::UpdatePolicy.new do
      max_batch_size p
    end
  end

  it 'should make correct json' do
    expect(policy.dump_json).to eq("AutoScalingRollingUpdate" => { "MaxBatchSize" => { "Ref" => "woot" } })
  end
end
