# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cloud_former/version'

Gem::Specification.new do |spec|
  spec.name          = 'cloud_former'
  spec.version       = CloudFormer::VERSION
  spec.authors       = ["Aubrey Holland"]
  spec.email         = ["aubreyholland@gmail.com"]
  spec.summary       = 'A Ruby DSL for creating CloudFormation templates'
  spec.description   = 'This gem creates a Ruby DSL around the AWS CloudFormation JSON template structure.'
  spec.homepage      = 'http://github.com/custora/cloud_former'
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'activesupport', '~> 4.1'

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", '~> 10.3'
  spec.add_development_dependency "rspec", '~> 3.0'
  spec.add_development_dependency 'rubocop'
end
